# $Revision: 1.6 $, $Date: 2010/08/20 12:45:25 $
%include	/usr/lib/rpm/macros.perl
Summary:	Nagios Console Monitor
Summary(pl.UTF-8):	Konsola monitorująca dla Nagiosa
Name:		nagios-nsc
Version:	0.80
Release:	2
License:	Artistic
Group:		Applications
Source0:	http://dl.sourceforge.net/nsc-gothix/nsc-%{version}-2.tar.gz
# Source0-md5:	fec6de9a07d8b1b2f5fd106d7fc8a5ed
Patch0:		nsc-path.patch
Patch1:		warnings_new-log-format.patch
URL:		http://sourceforge.net/projects/nsc-gothix/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nsc is a curses-based tty/console monitor for Nagios v1/v2. It allows
you to monitor Nagios services without the expense or availability of
a GUI and features a full-screen realtime colourized display of Nagios
service status.

%description -l pl.UTF-8
nsc to oparty na curses działający na konsoli/terminalu monitor dla
Nagiosa v1/v2. Pozwala monitorować usługi Nagiosa bez kosztu lub
dostępności GUI, oferuje pełnoekranowy, kolorowy podgląd w czasie
rzeczywistym stanu usług Nagiosa.

%prep
%setup -q -n nsc
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{perl_vendorlib}}

install nsc.pl $RPM_BUILD_ROOT%{_bindir}/nsc
install nsc.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -a gothix $RPM_BUILD_ROOT%{perl_vendorlib}
install nsc_nagios.pm $RPM_BUILD_ROOT%{perl_vendorlib}/nsc_nagios.pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%attr(755,root,root) %{_bindir}/nsc
%{_mandir}/man1/nsc.1*
%{perl_vendorlib}/gothix
%{perl_vendorlib}/nsc_nagios.pm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-nsc.spec,v $
Revision 1.6  2010/08/20 12:45:25  zbyniu
- added kill warnings and new log format patch
- buildarch: noarch; rel 2

Revision 1.5  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.3  2006/07/20 15:29:40  glen
- rel 1

Revision 1.2  2006/04/05 17:45:05  qboosh
- pl

Revision 1.1  2006/04/03 06:41:14  glen
- new
